Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming.NamingContextPackage
Class CannotProceed

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--org.omg.CosNaming.NamingContextPackage.CannotProceed

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, IDLEntity, java.io.Serializable

public final class CannotProceed
extends UserException

This exception is raised when an operation was not possible on a specific naming context. In this case, this exception provides several additionnal information : the naming context where the operation was not possible and the part of the name that the name server was not able to use.

See Also:
  Serialized Form

Field Summary
`NamingContext` | `cxt` Exception member cxt
`NameComponent[]` | `rest_of_name` Exception member rest_of_name

Constructor Summary
`CannotProceed()` Default constructor
`CannotProceed(NamingContext cxt, NameComponent[] rest_of_name)` Constructor with fields initialization
`CannotProceed(java.lang.String orb_reason, NamingContext cxt, NameComponent[] rest_of_name)` Full constructor with fields initialization

Methods inherited from class org.omg.CORBA.UserException
`getCause, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cxt

    public NamingContext cxt

  Exception member cxt

### rest_of_name

    public NameComponent[] rest_of_name

  Exception member rest_of_name

Constructor Detail

### CannotProceed

    public CannotProceed()

  Default constructor

### CannotProceed

    public CannotProceed(NamingContext cxt,
                         NameComponent[] rest_of_name)

  Constructor with fields initialization
  Parameters:
    `cxt` - cxt exception member
    `rest_of_name` - rest_of_name exception member

### CannotProceed

    public CannotProceed(java.lang.String orb_reason,
                         NamingContext cxt,
                         NameComponent[] rest_of_name)

  Full constructor with fields initialization
  Parameters:
    `cxt` - cxt exception member
    `rest_of_name` - rest_of_name exception member

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD